POST
/
api
/
v1
/
admin
/
simulation
/
channel-templates
Create Channel Template
curl --request POST \
  --url https://api.jobsim.work/api/v1/admin/simulation/channel-templates \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "channel_name": "<string>",
  "message_templates": [
    {
      "sender_character_id": "<string>",
      "content": "<string>",
      "offset_hours": 123,
      "thread_replies": [
        {
          "sender_character_id": "<string>",
          "content": "<string>",
          "offset_minutes": 123,
          "metadata": {}
        }
      ],
      "metadata": {}
    }
  ],
  "scenario_name": "default",
  "is_active": true,
  "apply_to_existing_users": false
}
'
{
  "channel_name": "<string>",
  "_id": "<string>",
  "organization_id": "<string>",
  "scenario_name": "default",
  "message_templates": [
    {
      "sender_character_id": "<string>",
      "content": "<string>",
      "offset_hours": 123,
      "thread_replies": [
        {
          "sender_character_id": "<string>",
          "content": "<string>",
          "offset_minutes": 123,
          "metadata": {}
        }
      ],
      "metadata": {}
    }
  ],
  "is_active": true,
  "apply_to_existing_users": false,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

organization_id
string | null

Body

application/json

Request to create a channel seed template

channel_name
string
required
message_templates
MessageTemplate · object[]
required
scenario_name
string
default:default
is_active
boolean
default:true
apply_to_existing_users
boolean
default:false

Response

Successful Response

Template for seeding messages into channels. Organization-specific templates override global defaults. When a new user joins, templates are converted to actual Message documents.

channel_name
string
required
_id
string | null
organization_id
string | null
scenario_name
string
default:default
message_templates
MessageTemplate · object[]
is_active
boolean
default:true
apply_to_existing_users
boolean
default:false
created_at
string<date-time>
updated_at
string<date-time>